# Changelog

| 버전 | 변경 날짜 | 변경 이력 |
| --- | --- | --- |
| [2.2.0](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.2.0/kakao-android-sdk-rx-2.2.0.zip) | 2020.12.18 | * 카카오톡 프로필 가져오기, 친구 목록 가져오기 API의 secure_resource 파라미터 삭제<br>&nbsp;&nbsp;&nbsp;- 프로필 이미지 URL `HTTPS`로만 제공<br>* 내부 함수 개선 |
| [2.1.0](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.1.0/kakao-android-sdk-rx-2.1.0.zip) | 2020.12.9 | * 신규 모듈 추가<br>&nbsp;&nbsp;&nbsp;- partner-auth: 그룹 내 다른 앱의 refreshToken을 사용한 accessToken 발급 기능 제공<br>&nbsp;&nbsp;&nbsp;- partner-link: 말풍선 출처 앱을 지정하는 파라미터 제공<br>* 로그인 보안 향상을 위한 [PKCE](https://tools.ietf.org/html/rfc7636) 적용 |
| [2.0.6](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.6/kakao-android-sdk-rx-2.0.6.zip) | 2020.11.25 | * 카카오톡 채널 차단 상태(<a href="/sdk/reference/android-rx/2.0.6/kakao-android-sdk-rx/com.kakao.sdk.talk.model/-channel-relation/-relation/index.html" target="_blank">BLOCKED</a> 추가 |
| [2.0.5](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.5/kakao-android-sdk-rx-2.0.5.zip) | 2020.10.23 | * 버그 수정 |
| [2.0.4](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.4/kakao-android-sdk-rx-2.0.4.zip) | 2020.10.20 | * Android Studio 요구사양 3.6.1 이상으로 변경 <br>* 버그 수정<br>&nbsp;&nbsp;&nbsp;- Android 11 이상 타게팅 시 카카오톡 간편로그인 등 외부 패키지 사용 불가능 현상 대응 |
| [2.0.3](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.3/kakao-android-sdk-rx-2.0.3.zip) | 2020.10.05 | * 강제 로그인 옵션 추가<br>* 리스트 템플릿의 헤더 영역 배경 이미지 제거 |
| [2.0.2](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.2/kakao-android-sdk-rx-2.0.2.zip) | 2020.08.27 | * 메시지 템플릿 모델 클래스 패키지 변경<br>&nbsp;&nbsp;&nbsp;- com.kakao.sdk.template → com.kakao.sdk.template.model |
| [2.0.1](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.1/kakao-android-sdk-rx-2.0.1.zip) | 2020.08.21 | * 카카오내비 API 변경<br>&nbsp;&nbsp;&nbsp;- 위도 및 경도 좌표 자료형 String으로 변경<br>&nbsp;&nbsp;&nbsp;- 메소드명: navigateUri()를 navigateWebUrl()로 변경<br>&nbsp;&nbsp;&nbsp;- 구조체명: NaviOptions를 NaviOption으로 변경 |
| [2.0.0](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.0/kakao-android-sdk-rx-2.0.0.zip) | 2020.08.10 | * 정식 배포 |
| [2.0.0-beta07](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.0-beta07/kakao-android-sdk-rx-2.0.0-beta07.zip) | 2020.07.31 | * 클라이언트 이름 및 구조 개선<br>* 사용자 토큰 및 토큰저장소 사용성 개선 |
| [2.0.0-beta06](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.0-beta06/kakao-android-sdk-rx-2.0.0-beta06.zip) | 2020.07.15 | * 카카오 로그인 API의 메소드명 일부 변경:<br>&nbsp;&nbsp;&nbsp;- authorizeWithKakaoTalk()<br>&nbsp;&nbsp;&nbsp;- loginWithKakaoTalk()<br>&nbsp;&nbsp;&nbsp;- loginWithNewScopes()<br>&nbsp;&nbsp;&nbsp;- isKakaoTalkLoginAvailable()<br>* 토큰저장소 리턴타입 nullable로 변경 |
| [2.0.0-beta05](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.0-beta05/kakao-android-sdk-rx-2.0.0-beta05.zip) | 2020.06.30 | * Reactive Extensions(Rx) 라이브러리를 사용하지 않는 SDK 배포<br>* AccessTokenInfo 응답에 expiresIn 필드 추가   |
| [2.0.0-beta04](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.0-beta04/kakao-android-sdk-rx-2.0.0-beta04.zip) | 2020.03.24 | * 로그인 계정 확인 페이지 적용          |
| [2.0.0-beta03](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.0-beta03/kakao-android-sdk-rx-2.0.0-beta03.zip) | 2020.02.14 | * 세부 스펙 변경 <br>* 버그 수정         |
| [2.0.0-beta02](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.0-beta02/kakao-android-sdk-rx-2.0.0-beta02.zip) | 2019.12.26 | * 버그 수정         |
| [2.0.0-beta01](https://devrepo.kakao.com/nexus/content/groups/public/com/kakao/sdk/kakao-android-sdk-rx/2.0.0-beta01/kakao-android-sdk-rx-2.0.0-beta01.zip) | 2019.12.09 | * 베타 서비스 개시 |
